Summary:	Perl-compatible regular expression library
Name:		pcre
Group:		System Environment/Libraries
License:	GPL
Version:	6.3
Release:	2
Source0:	http://aleron.dl.sourceforge.net/sourceforge/pcre/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

%files
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man1/*
  %attr(0511,root,root)	%{_bindir}/pcregrep
  %attr(0511,root,root)	%{_bindir}/pcretest
  %attr(0555,root,root)	/%{_lib}/*.so.*
  %attr(0555,root,root)	%{_libdir}/*.so.*

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for %{name}.

%prep
%setup -q

%build
  %configure --includedir=%{_includedir}/%{name}
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install DESTDIR=$RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_lib}
  mv $RPM_BUILD_ROOT%{_libdir}/libpcre.so* $RPM_BUILD_ROOT/%{_lib}

  sed -e "s,/usr/lib,/lib,g" $RPM_BUILD_ROOT%{_libdir}/libpcre.la >$RPM_BUILD_ROOT/%{_lib}/libpcre.la

  # rm -rf $RPM_BUILD_ROOT/%{_lib}/pkgconfig

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files devel
  %defattr(-,root,root)
  %doc %{_mandir}/man3/*
  %attr(0511,root,root)	%{_bindir}/pcre-config
  %attr(0555,root,root)	/%{_lib}/*.so
  %attr(0444,root,root)	/%{_lib}/*.la
  %attr(0555,root,root)	%{_libdir}/*.so
  %attr(0444,root,root)	%{_libdir}/*.la
  %attr(0444,root,root)	%{_libdir}/*.a
  %attr(0444,root,root)	%{_libdir}/pkgconfig/*.pc
  %attr(0444,root,root)	%{_includedir}/%{name}/*

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 6.3, Release 2
  - Upgrade to latest

* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.1, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
